3
$\begingroup$

I am trying IBM's code for graphing T1 and I keep getting the following error:

ibmqfactory.load_account:WARNING:2020-05-28 12:28:57,538: Credentials are already in use. The existing account in the session will be replaced.
/opt/conda/lib/python3.7/site-packages/qiskit/util.py:109: DeprecationWarning: The QuantumCircuit.iden() method is deprecated as of 0.14.0, and will be removed no earlier than 3 months after that release date. You should use the QuantumCircuit.i() method instead.
  return func(*args, **kwargs)

The link to the code is here: https://quantum-computing.ibm.com/docs/guide/wwwq/decoherence

$\endgroup$
1
$\begingroup$

This is not an error, there are two messages here and they are both just warnings.

The first Credentials are already in use error means that you have called load_account() when you already had an account loaded.

The second message, DeprecationWarning, is letting you know that a method that you are using will be removed in a future version of Qiskit and so it is best to move code over to using a different method. In this case, it means that you need to used .i() instead of .iden()

| improve this answer | |
$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.